import { Component, h, Event, } from "@stencil/core";
export class SSaqhanChatFormSearchFiles {
    render() {
        return (h("div", { class: "header-wrapper" },
            h("div", { class: " chat-files" },
                h("div", { class: "btn-back", onClick: () => this.selectUsers.emit() },
                    h("span", null,
                        h("i", { class: "fas fa-chevron-left" }))),
                h("div", { class: "block-input" },
                    h("input", { type: "text", class: "input-search-files", placeholder: "\u041F\u043E\u0438\u0441\u043A \u0444\u0430\u0439\u043B\u043E\u0432" })),
                h("div", { class: "block-file" },
                    h("i", { class: "fas fa-filter" })))));
    }
    static get is() { return "s-saqhan-chat-form-search-files"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-chat-form-search-files.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-chat-form-search-files.css"]
    }; }
    static get events() { return [{
            "method": "selectUsers",
            "name": "selectUsers",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
