import { Component, h, Event, Prop, } from "@stencil/core";
import { mainUser, messages } from "../../../../../utils/mock";
export class SSaqhanChatWrapper {
    constructor() {
        this.ShowContent = (content) => {
            switch (content) {
                case "personal":
                    return h("s-saqhan-chat-personal", null);
                case "users":
                    return h("s-saqhan-chat-users-wrapper", { messages: messages, mainUser: mainUser });
                case "files":
                    return h("s-saqhan-chat-files-wrapper", null);
                default:
                    "files";
            }
        };
    }
    render() {
        return (h("div", { class: "wrapper-chat" },
            h("div", { class: "header-chat" },
                "\u0427\u0430\u0442 \u0441 \u0431\u0430\u043D\u043A\u043E\u043C",
                h("a", { href: "#", onClick: () => this.close.emit() },
                    h("i", { class: "fas fa-times-circle" }))),
            h("div", { class: "content-chat" }, this.ShowContent(this.showContent))));
    }
    static get is() { return "s-saqhan-chat-wrapper"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-chat-wrapper.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-chat-wrapper.css"]
    }; }
    static get properties() { return {
        "messages": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "messages",
            "reflect": false
        },
        "mainUser": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "main-user",
            "reflect": false
        },
        "showContent": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "show-content",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "close",
            "name": "close",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "selectPersonal",
            "name": "selectPersonal",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "selectUsers",
            "name": "selectUsers",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "selectFiles",
            "name": "selectFiles",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
