import { Component, h } from '@stencil/core';
import { breadCrumbs, NewsStore } from "../../utils/mock";
export class SSaqhanItemNews {
    render() {
        return (h("div", null,
            h("s-saqhan-header-app", null),
            h("s-saqhan-bread-crumbs", { links: breadCrumbs }),
            h("s-saqhan-list-news", { news: NewsStore }),
            h("s-saqhan-app-footer", null)));
    }
    static get is() { return "s-saqhan-item-news"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-item-news.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-item-news.css"]
    }; }
}
