import { r as registerInstance, h, c as createEvent } from './index-7a106f9f.js';
import { m as messages, a as mainUser, e as events, p as popularNews, b as blogPost, c as blogCarouselMock } from './mock-da42cbee.js';

const sSaqhanAppFooterCss = ".footer{margin-top:100px;margin-bottom:70px}.footer-info{margin-bottom:40px;color:#000;font-size:25px;font-weight:400;font-family:\"Open Sans\", sans-serif}.footer-info-office{color:#5e5d6c;font-size:14px;font-weight:400;font-family:\"Open Sans\", sans-serif}.footer-info-number{color:#007bff;font-size:14px}.footer-title{margin-bottom:35px;color:#39374d;font-size:18px;font-weight:500}.footer-item ul{padding-left:0px}.footer-item ul li{list-style-type:none;margin-bottom:15px}.foot-nav-link{color:#39374d;font-size:16px;-webkit-transition:0.1s ease;transition:0.1s ease}.foot-nav-link:hover{color:#007bff;font-weight:500;text-decoration:none;border-bottom:2px solid #007bff}.coopyrite{height:60px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;border-top:1px solid #e2e7ea}.coopyrite .left{color:#5e5d6c;font-size:14px;font-weight:400;font-family:\"Open Sans\", sans-serif}.coopyrite .right{text-align:right;color:#5e5d6c}.coopyrite .right a{font-family:\"Futura PT Book\";color:#5e5d6c;font-size:16px;text-decoration:none}@media screen and (max-width: 992px){.footer{margin-top:70px;margin-bottom:40px}.footer-info-block{text-align:center;margin-bottom:20px}}@media screen and (max-width: 768px){.footer-title,.footer-item{text-align:center}}@media screen and (max-width: 414px){.footer{text-align:center}.footer-title{margin-top:20px}.coopyrite{text-align:center}.coopyrite .right{text-align:center}}";

const SSaqhanAppFooter = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { class: "container" }, h("div", { class: "row footer" }, h("div", { class: "col-lg-4 col-md-12 footer-info-block" }, h("div", { class: "footer-info" }, "Lorem ipsum dolor sit amet, consectetur adipisicing elit. Alias aliquid asperiores."), h("div", { class: "footer-soc" }, h("div", { class: "template-demo" }, h("button", { type: "button", class: "btn btn-social-icon btn-facebook btn-rounded" }, h("i", { class: "fab fa-facebook-f" })), h("button", { type: "button", class: "btn btn-social-icon btn-twitter btn-rounded" }, h("i", { class: "fab fa-youtube" })), h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, h("i", { class: "fab fa-instagram" })), h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" }, h("i", { class: "fab fa-twitter" }))))), h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, h("div", { class: "footer-title" }, "Solutions"), h("div", { class: "footer-item" }, h("ul", null, h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Services")), h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Portfolio")), h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "About")), h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Blog"))))), h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, h("div", { class: "footer-title" }, "Products"), h("div", { class: "footer-item" }, h("ul", null, h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Platform")), h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Customers")), h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Products")), h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Pricing"))))), h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, h("div", { class: "footer-title" }, "Pricing"), h("div", { class: "footer-item" }, h("ul", null, h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Training")), h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Marketplace")), h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Experts")), h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Guides"))))), h("div", { class: "col-lg-2 col-md-3 col-sm-6 col-6" }, h("div", { class: "footer-title" }, "Offices"), h("div", { class: "footer-item" }, h("ul", null, h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Training")), h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Marketplace")), h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Experts")), h("li", null, h("a", { href: "#", class: "foot-nav-link" }, "Guides"))))), h("div", { class: "col-12 pt-5" }, h("div", { class: "choose-language text-muted small" }, h("i", { class: "fas fa-globe-africa" }), " Choose Language", h("br", null), h("a", { href: "/", class: "pr-3" }, "English (United Tates)"), h("a", { href: "/" }, "French"))))));
    }
};
SSaqhanAppFooter.style = sSaqhanAppFooterCss;

const sSaqhanBlogCardCss = ".blog-card{width:310px;margin:auto}.blog-img{width:310px;height:210px;background-size:cover;border-radius:3px}.blog-card{width:310px;margin:auto;margin-top:15px;margin-bottom:15px}.blog-category{font-weight:600}";

const SSaqhanBlogCard = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category small pt-4";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
    }
    render() {
        return (h("div", { class: "blog-card" }, h("div", { class: "blog-img", style: { backgroundImage: "url(" + this.post.img + ")" } }), h("div", { class: this.ColorCategory(this.post.category) }, this.post.category), h("div", { class: "blog-title pt-3 font-weight-bold" }, this.post.title), h("div", { class: "btn-read pt-3" }, h("a", { href: "/second-page/" }, " ", this.post.btnText, " "))));
    }
};
SSaqhanBlogCard.style = sSaqhanBlogCardCss;

const sSaqhanChatAddQuestionCss = ".btn-new-ask{text-align:center;margin-top:10px}.btn-add-question{border-radius:30px;padding:10px 30px;border:none;background-color:#72b94d;color:#ffffff;text-transform:uppercase;font-size:12px;outline:none;letter-spacing:1px}";

const SSaqhanChatAddQuestion = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { class: "btn-new-wrap" }, h("div", { class: "btn-new-ask" }, h("button", { class: "btn-add-question" }, "\u0417\u0430\u0434\u0430\u0442\u044C \u043D\u043E\u0432\u044B\u0439 \u0432\u043E\u043F\u0440\u043E\u0441"))));
    }
};
SSaqhanChatAddQuestion.style = sSaqhanChatAddQuestionCss;

const sSaqhanChatAppCss = ".wrapper-modal{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:end;justify-content:flex-end;-ms-flex-direction:column;flex-direction:column;position:fixed;top:2%;right:2%;z-index:999}.btn-open{width:60px;height:60px;font-size:24px;border:none;background-color:#72b94d;color:#fff;border-radius:50%;outline:none !important;cursor:pointer}.open-chat{text-align:right;z-index:999;position:fixed;right:10px;bottom:20px}.open-chat::after{content:\"1\";background-color:#c73f45;position:relative;top:-25px;left:-20px;color:#fff;font-size:12px;padding:5px 10px;border-radius:50%}.message{font-size:14px;height:21px;overflow:hidden;width:260px;margin-top:5px;white-space:nowrap;cursor:pointer}.user{display:-ms-flexbox;display:flex;cursor:pointer;-ms-flex-align:end;align-items:flex-end}.user-img{width:20%;margin:auto}.user-img .img{width:43px;height:43px;border-radius:50%;background-size:cover;margin:auto}.user-info{display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;width:90%}.user-info .name{font-weight:500;font-size:13px}::-webkit-scrollbar{width:5px}::-webkit-scrollbar-track{-webkit-box-shadow:inset 0 0 6px rgba(0,0,0,0.3);-webkit-border-radius:5px;border-radius:3px}::-webkit-scrollbar-thumb{-webkit-border-radius:10px;border-radius:10px;background:rgba(108, 108, 108, 0.8);-webkit-box-shadow:inset 0 0 6px rgba(0,0,0,0.5)}::-webkit-scrollbar-thumb:window-inactive{background:rgba(106, 106, 106, 0.4)}@media (max-width: 414px){.wrapper-modal{top:0%;right:0%;max-width:414px}.wrapper-chat{width:414px}.personal-messages{height:80vh}.users{height:80vh}}@media (max-width: 375px){.wrapper-chat{max-width:375px;padding-right:0px}.users{padding:0px 10px}.new-mess{right:12%}}@media (max-width: 320px){.wrapper-chat{max-width:320px}.chat-header a{right:25%}.wrapper-chat{height:110vh}.message-date{font-size:11px}.users{padding:0px 25px}.personal-messages{padding:0 10px}}";

const SSaqhanChatApp = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.showContent = "users";
        this.close = createEvent(this, "close", 7);
        this.selectPersonal = createEvent(this, "selectPersonal", 7);
        this.selectUsers = createEvent(this, "selectUsers", 7);
        this.selectFiles = createEvent(this, "selectFiles", 7);
    }
    isShowChat() {
        this.showChat = !this.showChat;
    }
    onClose() {
        this.showChat = false;
    }
    onSelectPersonal() {
        return this.showContent = 'personal';
    }
    onSelectUsers() {
        return this.showContent = 'users';
    }
    onSelectFiles() {
        return this.showContent = 'files';
    }
    render() {
        return (h("div", { class: "wrapper-modal" }, this.showChat ? (h("s-saqhan-chat-wrapper", { messages: messages, mainUser: mainUser, onSelectPersonal: () => this.onSelectPersonal(), onSelectUsers: () => this.onSelectUsers(), onSelectFiles: () => this.onSelectFiles(), onClose: () => this.onClose(), showContent: this.showContent })) : (""), h("div", { class: "btn-wrapper" }, h("div", { class: "open-chat" }, h("button", { onClick: () => this.isShowChat(), class: "btn-open" }, h("span", null, this.showChat ? (h("i", { class: "fas fa-times" })) : (h("i", { class: "far fa-comment-dots" }))))))));
    }
};
SSaqhanChatApp.style = sSaqhanChatAppCss;

const sSaqhanChatFilesCss = ".wrapper-files{height:65vh;padding:0px 10px}.block-file{cursor:pointer}.chat-files .row{-ms-flex-align:center;align-items:center}.chat-files .block-input::before{font-family:\"Font Awesome 5 Free\";font-weight:400;content:\"\\f0eb\";position:relative;left:25px;z-index:999;color:#5a5a5a}.block-file i{font-size:16px;color:#5a5a5a}.btn-back::after{content:\"1\";background-color:#c73f45;padding:1px 6px;color:#fff;font-size:10px;border-radius:30px;position:relative;right:7px;top:-15px;z-index:999}.btn-back{cursor:pointer}.btn-back span i{color:#a9a9a9;font-size:15px}.file-card{padding-top:10px;border-bottom:1px solid #e5e5e5}.block-info{display:-ms-flexbox;display:flex;margin-bottom:15px}.file-date{font-size:14px;font-weight:500;margin-bottom:10px}.file-img{width:60px;height:60px;margin-right:15px;border-radius:3px;background-image:url(\"https://via.placeholder.com/500x500?text=Visit\")}.file-name{font-size:14px;font-weight:500;margin-bottom:10px}.file-size{font-size:12px;color:#5a5a5a}.block-files{display:-ms-flexbox;display:flex;width:75%;-ms-flex-align:center;align-items:center;-ms-flex-pack:justify;justify-content:space-between}.block-repost{-webkit-transition:0.3s easy;transition:0.3s easy}.block-repost a{display:none;color:#000;font-size:12px;margin-left:10px}.block-info:hover .block-repost a{display:inline-block;cursor:pointer}@media (max-width: 375px){.input-search{width:auto;padding:10px 30px}}@media (max-width: 320px){.wrapper-chat{width:320px}}";

const SSaqhanChatFiles = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { class: "col-12 wrapper-files" }, h("div", { class: "file-card" }, h("div", { class: "file-date" }, "19 \u043D\u043E\u044F\u0431\u0440\u044F 2018"), h("div", { class: "block-info" }, h("div", { class: "file-img" }), h("div", { class: "block-files" }, h("div", { class: "file-info" }, h("div", { class: "file-name" }, "\u0422\u0440\u0435\u0431\u043E\u0432\u0430\u043D\u0438\u044F_\u0411\u0430\u043D\u043A\u0430_\u043A_\u0420\u0435\u0441\u0443\u0440\u0441\u0443.."), h("div", { class: "file-size" }, "18.8 \u041A\u0411 13:27")), h("div", { class: "block-repost" }, h("a", { href: "#" }, h("i", { class: "fas fa-share" })), h("a", { href: "#" }, h("i", { class: "fas fa-download" })))))), h("div", { class: "file-card" }, h("div", { class: "file-date" }, "17 \u043D\u043E\u044F\u0431\u0440\u044F 2018"), h("div", { class: "block-info" }, h("div", { class: "file-img" }), h("div", { class: "block-files" }, h("div", { class: "file-info" }, h("div", { class: "file-name" }, "\u0422\u0440\u0435\u0431\u043E\u0432\u0430\u043D\u0438\u044F_\u0411\u0430\u043D\u043A\u0430_\u043A_\u0420\u0435\u0441\u0443\u0440\u0441\u0443.."), h("div", { class: "file-size" }, "18.8 \u041A\u0411 13:27")), h("div", { class: "block-repost" }, h("a", { href: "#" }, h("i", { class: "fas fa-share" })), h("a", { href: "#" }, h("i", { class: "fas fa-download" }))))), h("div", { class: "block-info" }, h("div", { class: "file-img" }), h("div", { class: "block-files" }, h("div", { class: "file-info" }, h("div", { class: "file-name" }, "\u0422\u0440\u0435\u0431\u043E\u0432\u0430\u043D\u0438\u044F_\u0411\u0430\u043D\u043A\u0430_\u043A_\u0420\u0435\u0441\u0443\u0440\u0441\u0443.."), h("div", { class: "file-size" }, "18.8 \u041A\u0411 13:27")), h("div", { class: "block-repost" }, h("a", { href: "#" }, h("i", { class: "fas fa-share" })), h("a", { href: "#" }, h("i", { class: "fas fa-download" }))))))));
    }
};
SSaqhanChatFiles.style = sSaqhanChatFilesCss;

const sSaqhanChatFilesWrapperCss = "";

const SSaqhanChatFilesWrapper = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", null, h("s-saqhan-chat-form-search-files", null), h("s-saqhan-chat-files", null)));
    }
};
SSaqhanChatFilesWrapper.style = sSaqhanChatFilesWrapperCss;

const sSaqhanChatFormSearchCss = ".block-file{cursor:pointer}.chat-files{text-align:center;padding:10px 0px;border-bottom:1px solid #ececec;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:space-evenly;justify-content:space-evenly}.chat-files .row{-ms-flex-align:center;align-items:center}.block-input{width:80%;text-align:left;margin-right:-15px}.input-search{width:95%;border-radius:3px;border:none;background-color:#ececec;outline:none;color:#5a5a5a;padding-top:10px;padding-bottom:10px;padding-left:40px;margin-left:-10px}.chat-files .block-input::before{font-family:\"Font Awesome 5 Free\";font-weight:400;content:\"\\f274\";position:relative;left:25px;z-index:999;color:#5a5a5a}.block-file i{font-size:18px;color:#5a5a5a}@media (max-width: 375px){.chat-files{}.input-search{width:auto;padding:10px 30px}.chat-files .block-input::before{left:13px}}@media (max-width: 320px){.block-input{text-align:center}}";

const SSaqhanChatFormSearch = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.selectFiles = createEvent(this, "selectFiles", 7);
    }
    render() {
        return (h("div", { class: "header-wrapper" }, h("div", { class: " chat-files" }, h("div", { class: "block-input" }, h("input", { type: "text", class: "input-search", placeholder: "\u041F\u043E\u0438\u0441\u043A \u0447\u0430\u0442\u043E\u0432 \u0438 \u0441\u043E\u043E\u0431\u0449\u0435\u043D\u0438\u0439" })), h("div", { class: "block-file", onClick: () => this.selectFiles.emit() }, h("i", { class: "far fa-file-alt" })))));
    }
};
SSaqhanChatFormSearch.style = sSaqhanChatFormSearchCss;

const sSaqhanChatFormSearchFilesCss = ".block-file{cursor:pointer}.chat-files{text-align:center;padding:10px 0px;border-bottom:1px solid #ececec;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:space-evenly;justify-content:space-evenly}.chat-files .row{-ms-flex-align:center;align-items:center}.input-search-files{width:80%;border-radius:3px;border:none;background-color:#ececec;padding:10px 40px;outline:none}.chat-files .block-input::before{font-family:\"Font Awesome 5 Free\";font-weight:400;content:\"\\f274\";position:relative;left:25px;z-index:999;color:#5a5a5a}.block-file i{font-size:18px;color:#5a5a5a}@media (max-width: 375px){.chat-files{}.input-search{width:auto;padding:10px 30px}}";

const SSaqhanChatFormSearchFiles = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.selectUsers = createEvent(this, "selectUsers", 7);
    }
    render() {
        return (h("div", { class: "header-wrapper" }, h("div", { class: " chat-files" }, h("div", { class: "btn-back", onClick: () => this.selectUsers.emit() }, h("span", null, h("i", { class: "fas fa-chevron-left" }))), h("div", { class: "block-input" }, h("input", { type: "text", class: "input-search-files", placeholder: "\u041F\u043E\u0438\u0441\u043A \u0444\u0430\u0439\u043B\u043E\u0432" })), h("div", { class: "block-file" }, h("i", { class: "fas fa-filter" })))));
    }
};
SSaqhanChatFormSearchFiles.style = sSaqhanChatFormSearchFilesCss;

const sSaqhanChatMainUserCss = ".main-wrapper{width:100%;padding:15px 0px;border-bottom:1px solid #ececec}";

const SSaqhanChatMainUser = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    // getUserMain(arr): any[] {
    //   return arr.map((item) => item.main);
    // }
    render() {
        return (h("div", { class: "main-wrapper" }, h(MainUserMessage, { main: this.mainUser })));
    }
};
const MainUserMessage = (props) => {
    return props.main.map((item) => {
        return h("s-saqhan-chat-main-user-card", { main: item });
    });
};
SSaqhanChatMainUser.style = sSaqhanChatMainUserCss;

const sSaqhanChatMainUserCardCss = ".wrap-main{display:-ms-flexbox;display:flex}.user-wrapper-main{padding:0px 10px;display:-ms-flexbox;display:flex;margin-right:0px;padding-right:15px}.left{width:15%;margin:auto;display:inline-block}.right-main{width:80%;overflow:hidden;display:inline-block;border:none}.img-user{border-radius:50%;width:45px;height:45px;background-image:url(\"http://via.placeholder.com/300\");background-size:cover}.user-data{display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;-ms-flex-align:center;align-items:center;margin-bottom:5px}.user-name{font-size:13px;font-weight:500}.message-date{font-size:12px;color:#8e8e8e;margin-right:5px}.message-date:before{content:\"\\f058\";font-family:Font Awesome\\ 5 Free}.user-mess{color:#8e8e8e;font-size:13px;white-space:nowrap}.new-mess-wrap::after{content:\"            \";position:relative;left:-50px;z-index:0;background:-webkit-gradient(linear,left top, right top,from(hsla(0,0%,100%,0)),color-stop(100%, #fff),color-stop(0, #fff));background:linear-gradient(90deg,hsla(0,0%,100%,0),#fff 100%,#fff 0)}.new-mess-wrap{text-align:right;width:15px}.new-mess{position:relative;right:10%;margin-top:3px;font-size:11px;z-index:99;background-color:#c73f45;border-radius:50%;padding:0px 5px;color:#fff}@media (max-width: 414px){.new-mess{right:6%}.user-mess::after{right:15%}}@media (max-width: 375px){.right{width:77%}.new-mess{right:16%}.user-mess::after{right:25%}.user-wrapper{width:365px}.user-wrapper-main{padding-right:0px;padding:0px 0px}}@media (max-width: 320px){.user-wrapper{width:100%}.message-date{font-size:11px}.right{width:80%}.new-mess{right:27%}.user-mess::after{right:40%}}";

const SSaqhanChatMainUserCard = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.selectPersonal = createEvent(this, "selectPersonal", 7);
    }
    render() {
        return (h("div", { class: "user-wrapper-main", onClick: () => this.selectPersonal.emit() }, h("div", { class: "left" }, h("div", { class: "img-user", style: { backgroundImage: "url(" + this.main.img + ")" } })), h("div", { class: "right-main" }, h("div", { class: "user-data" }, h("div", { class: "user-name" }, this.main.name), h("div", { class: "message-date" }, " ", this.main.date, " ")), h("div", { class: "mess-wrapper" }, h("div", { class: "user-mess" }, this.main.message), h("div", { class: "new-mess-wrap" }, h("span", { class: "new-mess" }, "2"))))));
    }
};
SSaqhanChatMainUserCard.style = sSaqhanChatMainUserCardCss;

const sSaqhanChatPersonalCss = ".header-chat a{position:relative;right:-25%;display:block;top:3px;padding-bottom:3px;border-radius:50%;width:25px}.header-chat a i{font-size:25px;color:#ccc}.header-chat a i:hover{color:#72b94d}.personal-messages .user{-ms-flex-align:center;align-items:center}.personal-messages{width:100%}.personal-messages .chat-user-main{display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:justify;justify-content:space-between;margin:10px;padding-left:15px}.personal-messages .chat-user-main .user-img{width:50px;padding-right:5px}.name{font-weight:500}.menu-personal i{color:#ccc;margin-right:15px;cursor:pointer}.btn-back::after{content:\"1\";background-color:#c73f45;padding:1px 6px;color:#fff;font-size:10px;border-radius:30px;position:relative;right:7px;top:-15px;z-index:999}.btn-back{cursor:pointer}.btn-back span i{color:#a9a9a9;font-size:15px}.personal-mess,.admin-mess{padding:0 15px;font-size:14px}.personal-mess{display:-ms-flexbox;display:flex;-ms-flex-pack:end;justify-content:flex-end}.mess-user{padding:10px;background-color:#feffc5;border-radius:3px;width:80%;margin:5px 0}.mess-admin{background-color:#ececec;width:80%;padding:10px;border-radius:3px;margin:10px 0}.position-admin span{font-size:12px;color:#8e8e8e;font-weight:500}.mess-date{font-size:11px;color:#8e8e8e;margin-left:5px}.mess-date::before{content:\"\\f058\";font-family:\"Font Awesome 5 Free\";color:#9a9ab5;font-size:10px;margin-right:3px}.messages-block{height:66vh}.messages-block{overflow:scroll;overflow-x:hidden}@media (max-width: 414px){.messages-block{height:74vh}}@media (max-width: 375px){.messages-block{height:72vh}}@media (max-width: 320px){.wrapper-chat{width:100%;height:100vh}.messages-block{height:67vh}}@media (height: 1366px) and (width: 1024px ){.messages-block{height:72vh}}";

const SSaqhanChatPersonal = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.selectUsers = createEvent(this, "selectUsers", 7);
    }
    render() {
        return (h("div", { class: "personal-messages" }, h("div", { class: "col-12 chat-user-main" }, h("div", { class: "user" }, h("div", { class: "btn-back", onClick: () => this.selectUsers.emit() }, h("span", null, h("i", { class: "fas fa-chevron-left" }))), h("div", { class: "user-img" }, h("div", { class: "img", style: { backgroundImage: "url(https://via.placeholder.com/500)" } })), h("div", { class: "personal-user" }, h("div", { class: "name" }, "\u041A\u0441\u0435\u043D\u0438\u044F"))), h("div", { class: "menu-personal" }, h("i", { class: "fas fa-ellipsis-v" }))), h("div", { class: "messages-block" }, h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "\u0412\u0438\u0440\u0443\u0441 \u044D\u0432\u043E\u043B\u0438\u0446\u0438\u043E\u043D\u0438\u0440\u0443\u0435\u0442!"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "admin-mess" }, h("div", { class: "mess-admin" }, h("div", { class: "position-admin" }, h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), h("span", { class: "admin-text" }, "\u0422\u0430\u043A \u0434\u0430\u0432\u0430\u0439\u0442\u0435 \u0441\u043D\u0438\u043C\u0438\u043C \u043A\u0430\u0440\u0430\u043D\u0442\u0438\u043D, \u043F\u0443\u0441\u0442\u044C \u0432\u0441\u0435 \u0432\u044B\u0439\u0434\u0443\u0442 \u043D\u0430 \u0440\u0430\u0431\u043E\u0442\u0443!"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "\u041C\u0438\u0440\u043E\u0432\u043E\u0439 \u0437\u0430\u0433\u043E\u0432\u0440, \u0432\u0441\u0435 \u043E\u0431 \u044D\u0442\u043E\u043C \u0437\u043D\u0430\u044E\u0442!"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "admin-mess" }, h("div", { class: "mess-admin" }, h("div", { class: "position-admin" }, h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), h("span", { class: "admin-text" }, "\u041C\u044B \u0441 \u0412\u0430\u043C\u0438 \u0441\u043E\u0433\u043B\u0430\u0441\u043D\u044B \u0438 \u0441\u0435\u0439\u0447\u0430\u0441 \u043F\u0435\u0440\u0435\u0432\u0435\u043B\u0438 \u043C\u0438\u043B\u043B\u0438\u043E\u043D \u043D\u0430 \u043B\u0435\u0447\u0435\u043D\u0438\u0435."), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043E\u0447\u0435\u043D\u044C \u0446\u0435\u043D\u044E!"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "\u0413\u0434\u0435 \u0434\u0435\u043D\u044C\u0433\u0438, \u041B\u0435\u0431\u043E\u0432\u0441\u043A\u0438\u0439?"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "Hello there! pls tell me, where a u?"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "admin-mess" }, h("div", { class: "mess-admin" }, h("div", { class: "position-admin" }, h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "Well done!"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "admin-mess" }, h("div", { class: "mess-admin" }, h("div", { class: "position-admin" }, h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "Well done!"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "admin-mess" }, h("div", { class: "mess-admin" }, h("div", { class: "position-admin" }, h("span", null, "\u041A\u0441\u0435\u043D\u0438\u044F, \u0431\u0438\u0437\u043D\u0435\u0441-\u0430\u0441\u0441\u0438\u0441\u0442\u0435\u043D\u0442")), h("span", { class: "admin-text" }, "\u0421\u043F\u0430\u0441\u0438\u0431\u043E! \u043C\u044B \u043E\u0431\u044F\u0437\u0430\u0442\u0435\u043B\u044C\u043D\u043E \u0441\u0432\u044F\u0436\u0435\u043C\u0441\u044F \u0438 \u043F\u0435\u0440\u0435\u0432\u0435\u0434\u0435\u043C \u0441\u0443\u043C\u043C\u0443 \u0434\u0435\u043D\u0435\u0433 (\u043D\u0435\u0442)"), h("span", { class: "mess-date" }, "30.08.2020 09:20"))), h("div", { class: "personal-mess" }, h("div", { class: "mess-user" }, h("span", { class: "user-text" }, "Well done!"), h("span", { class: "mess-date" }, "30.08.2020 09:20")))), h("chat-add-question", null)));
    }
};
SSaqhanChatPersonal.style = sSaqhanChatPersonalCss;

const sSaqhanChatUserCss = "";

const SSaqhanChatUser = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    // getUser(arr): any[] {
    //   return arr.map((item) => item.main);
    // }
    render() {
        return (h("div", { class: "user-wrapper" }, h(UserMessage, { user: this.messages })));
    }
};
const UserMessage = (props) => {
    return props.user.map(item => {
        return h("s-saqhan-chat-user-card", { user: item });
    });
};
SSaqhanChatUser.style = sSaqhanChatUserCss;

const sSaqhanChatUserCardCss = ".wrap-main{display:-ms-flexbox;display:flex}.user-card{cursor:pointer;padding:5px 0px;display:-ms-flexbox;display:flex}.left{width:15%;margin:auto;display:inline-block}.right{width:80%;overflow:hidden;display:inline-block;border-bottom:1px solid #ececec;padding-bottom:5px}.mess-wrapper{display:-ms-flexbox;display:flex}.positon-user{font-size:10px;background-color:#efd96e;color:#5a5a5a;border-radius:15%;padding:1px 5px;margin-bottom:5px;margin-top:10px;display:inline-block}.img-user{border-radius:50%;width:45px;height:45px;background-image:url(\"http://via.placeholder.com/300\");background-size:cover}.user-data{display:-ms-flexbox;display:flex;-ms-flex-pack:justify;justify-content:space-between;-ms-flex-align:center;align-items:center;margin-bottom:5px}.user-name{font-size:13px;font-weight:500}.message-date{font-size:12px;color:#8e8e8e}.message-date:before{content:\"\\f058\";font-family:Font Awesome\\ 5 Free;margin-right:5px}.user-mess{color:#8e8e8e;font-size:13px;white-space:nowrap;width:100%;overflow:hidden}.new-mess-wrap::after{content:\"            \";position:relative;left:-50px;z-index:0;background:-webkit-gradient(linear,left top, right top,from(hsla(0,0%,100%,0)),color-stop(100%, #fff),color-stop(0, #fff));background:linear-gradient(90deg,hsla(0,0%,100%,0),#fff 100%,#fff 0)}.new-mess-wrap{text-align:right;width:15px}.new-mess{position:relative;right:10%;margin-top:3px;font-size:11px;z-index:99;background-color:#c73f45;border-radius:50%;padding:0px 5px;color:#fff}@media (max-width: 414px){.user-mess::after{right:10%}}@media (max-width: 375px){.new-mess{right:12%}}";

const SSaqhanChatUserCard = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.selectPersonal = createEvent(this, "selectPersonal", 7);
    }
    render() {
        return (h("div", null, h("div", { class: "user-card", onClick: () => this.selectPersonal.emit() }, h("div", { class: "left" }, h("div", { class: "img-user", style: { backgroundImage: "url(" + this.user.img + ")" } })), h("div", { class: "right" }, h("div", { class: "user-data" }, h("div", { class: "user-name" }, this.user.name), h("div", { class: "message-date" }, this.user.date)), h("div", { class: "mess-wrapper" }, h("div", { class: "user-mess" }, this.user.message), h("div", { class: "new-mess-wrap" }, h("span", { class: "new-mess" }, "1"))), this.user.position ? h("span", { class: "positon-user" }, this.user.position) : ''))));
    }
};
SSaqhanChatUserCard.style = sSaqhanChatUserCardCss;

const sSaqhanChatUsersCss = ".user-wrapper{cursor:pointer;padding:0px 10px;padding-right:15px}@media (max-width: 375px){.user-wrapper{cursor:pointer;padding:0px 0px;padding-right:0px}}";

const SSaqhanChatUsers = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return h("div", { class: "user-wrapper" }, h("s-saqhan-chat-main-user", { mainUser: this.mainUser }), h("s-saqhan-chat-user", { messages: this.messages }));
    }
};
SSaqhanChatUsers.style = sSaqhanChatUsersCss;

const sSaqhanChatUsersWrapperCss = ".chat-wrap{width:100%;height:65vh;overflow:overlay}@media (max-width: 414px){.chat-wrap{height:76vh}}@media (max-width: 375px){.chat-wrap{height:78vh}.chat-files .block-input::before{left:13px}}@media (max-width: 320px){.chat-wrap{height:72vh}.block-input{text-align:center}}@media (height: 1366px) and (width: 1024px ){.chat-wrap{height:72vh}}@media (height: 1024px) and (width: 768px ){.chat-wrap{height:68vh}}@media (max-width: 375px) and (max-height: 667px){.chat-wrap{height:74vh}}@media (max-width: 320px) and (max-height: 568px){.chat-wrap{height:68vh}}";

const SSaqhanChatUsersWrapper = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", null, h("s-saqhan-chat-form-search", null), h("div", { class: "chat-wrap" }, h("s-saqhan-chat-users", { messages: this.messages, mainUser: this.mainUser })), h("s-saqhan-chat-add-question", null)));
    }
};
SSaqhanChatUsersWrapper.style = sSaqhanChatUsersWrapperCss;

const sSaqhanChatWrapperCss = ".wrapper-chat{-webkit-box-shadow:0 0 10px 1px #828282;box-shadow:0 0 10px 1px #828282;border-radius:2px;margin-bottom:10px;width:400px;height:85vh;background-color:#fff}.header-chat{background-color:#ececec;text-align:center;padding:10px 0px;font-weight:500;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center;-ms-flex-pack:center;justify-content:center}.header-chat a{position:relative;right:-25%;display:block;top:3px;padding-bottom:3px;border-radius:50%;width:25px}.header-chat a i{font-size:25px;color:#ccc}.header-chat a i:hover{color:#72b94d}@media (max-width: 414px){.wrapper-chat{width:414px;height:100vh}}@media (height: 1366px) and (width: 1024px ){.messages-block{height:72vh}}";

const SSaqhanChatWrapper = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.ShowContent = (content) => {
            switch (content) {
                case "personal":
                    return h("s-saqhan-chat-personal", null);
                case "users":
                    return h("s-saqhan-chat-users-wrapper", { messages: messages, mainUser: mainUser });
                case "files":
                    return h("s-saqhan-chat-files-wrapper", null);
            }
        };
        this.close = createEvent(this, "close", 7);
        this.selectPersonal = createEvent(this, "selectPersonal", 7);
        this.selectUsers = createEvent(this, "selectUsers", 7);
        this.selectFiles = createEvent(this, "selectFiles", 7);
    }
    render() {
        return (h("div", { class: "wrapper-chat" }, h("div", { class: "header-chat" }, "\u0427\u0430\u0442 \u0441 \u0431\u0430\u043D\u043A\u043E\u043C", h("a", { href: "#", onClick: () => this.close.emit() }, h("i", { class: "fas fa-times-circle" }))), h("div", { class: "content-chat" }, this.ShowContent(this.showContent))));
    }
};
SSaqhanChatWrapper.style = sSaqhanChatWrapperCss;

const sSaqhanComponentCss = "";

const SSaqhanComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", null, h("s-saqhan-header-app", null), h("s-saqhan-first-slider", { blogCarouselMock: blogCarouselMock }), h("s-saqhan-new-blog", { blogPost: blogPost }), h("s-saqhan-popular-news", { popularNews: popularNews }), h("s-saqhan-events-blog", { events: events }), h("s-saqhan-subsc-banner", null), h("s-saqhan-app-footer", null), h("s-saqhan-chat-app", null)));
    }
};
SSaqhanComponent.style = sSaqhanComponentCss;

const sSaqhanEventCardCss = ".blog-img{width:310px;height:210px;background-size:cover;margin-bottom:20px}.date-event{padding:10px;background-color:#fff;position:relative;top:8px;border-bottom-right-radius:5px}@media (max-width: 414px){.blog-card{width:85%;margin:auto;margin-bottom:15px}.block-title{text-align:center}}";

const SSaqhanEventCard = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category text-warning small";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
    }
    render() {
        return (h("div", { class: "blog-card" }, h("div", { class: "blog-img", style: { backgroundImage: "url(" + this.event.img + ")" } }, h("span", { class: !this.event.date ? 'no-date' : 'date-event' }, " ", this.event.date, " ")), h("div", { class: this.ColorCategory(this.event.category) }, this.event.category), h("div", { class: "blog-title pt-3 font-weight-bold" }, this.event.title), h("div", { class: "btn-read pt-3" }, h("a", { href: "/second-page/" }, " ", this.event.btnText, " "))));
    }
};
SSaqhanEventCard.style = sSaqhanEventCardCss;

const sSaqhanEventsBlogCss = ".blog-img{width:310px;height:210px;background-size:cover;margin-bottom:20px}.date-event{padding:10px;background-color:#fff;position:relative;top:8px;border-bottom-right-radius:5px}.new-blog-cards{display:-ms-flexbox;display:flex;-ms-flex-pack:distribute;justify-content:space-around}@media (max-width: 414px){.blog-card{width:85%;margin:auto}.block-title{text-align:center}}";

const SSaqhanEventsBlog = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    getEvents(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", { class: "container" }, h("div", { class: " pt-5 pb-5" }, h("div", { class: "col-12" }, h("h1", { class: "font-weight-bold block-title" }, "Upcoming events")), h("div", { class: "row" }, h(EventsPost, { event: this.getEvents(this.events) })))));
    }
};
const EventsPost = (props) => {
    return props.event.map((item) => {
        return (h("div", { class: "col-12 col-md-6 col-lg-4" }, h("s-saqhan-event-card", { event: item })));
    });
};
SSaqhanEventsBlog.style = sSaqhanEventsBlogCss;

const sSaqhanFirstSliderCss = "";

const SSaqhanFirstSlider = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    mainNews(arr) {
        return (arr.filter(item => item.main) || []).slice(-1);
    }
    lentaNews(arr) {
        return (arr.filter(item => item.lenta)).slice(-4).reverse();
    }
    render() {
        return (h("div", { class: "container" }, h("div", { class: "row pt-5 pb-5" }, h("div", { class: "col-12 col-lg-7" }, h(MainNews, { arr: this.mainNews(this.blogCarouselMock) })), h("div", { class: "col-12 col-lg-5" }, h(LentaNews, { lenta: this.lentaNews(this.blogCarouselMock) })))));
    }
};
// получает и передает в компонент элементы
const MainNews = (props) => {
    return (props.arr.map((item) => {
        return h("s-saqhan-main-news-card", { mainNews: item });
    }));
};
//лента новостей
const LentaNews = (props) => {
    return (props.lenta.map((item) => {
        return h("s-saqhan-lenta-news-card", { lentaNews: item });
    }));
};
SSaqhanFirstSlider.style = sSaqhanFirstSliderCss;

const sSaqhanHeaderAppCss = ":host{display:block}.navbar-brand img{width:125px}.btn-custom-head{padding:2px 10px;font-size:12px;border-radius:10px !important;margin-left:-20px}header{margin-top:50px}@media (max-width: 414px){header{margin-top:20px}}";

const SSaqhanHeaderApp = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { class: "container" }, h("div", { class: "row" }, h("div", { class: "col" }, h("header", null, h("nav", { class: "navbar navbar-expand-lg navbar-light p-0 d-flex justify-content-between" }, h("a", { href: "/", class: "navbar-brand" }, h("img", { src: "https://saqhan.github.io/wibbitz/assets/img/logo.jpg" })), h("button", { class: "navbar-toggler", type: "button", "data-toggle": "collapse", "data-target": "#navbarSupportedContent", "aria-controls": "navbarSupportedContent", "aria-expanded": "false", "aria-label": "Toggle navigation" }, h("span", { class: "navbar-toggler-icon" })), h("div", { class: "collapse navbar-collapse justify-content-around align-items-center", id: "navbarSupportedContent" }, h("ul", { class: "navbar-nav m-auto" }, h("li", { class: "nav-item" }, h("a", { class: "nav-link active", href: "/" }, "Home")), h("li", { class: "nav-item" }, h("a", { class: "nav-link", href: "/second-page/" }, "Second Page")), h("li", { class: "nav-item" }, h("a", { class: "nav-link", href: "/list-items/" }, "List Items")), h("li", { class: "nav-item" }, h("a", { class: "nav-link", href: "/chat/" }, "Online Chat")), h("li", { class: "nav-item" }, h("a", { class: "nav-link", href: "/second-page/" }, "Customer Stories"))), h("a", { href: "#", class: "pr-4" }, h("i", { class: "fas fa-search" })), h("form", { class: "form" }, h("div", { class: "input-group" }, h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }), h("div", { class: "input-group-append" }, h("button", { class: "btn btn-primary btn-custom-head", type: "submit" }, "Subscribe")))))))))));
    }
};
SSaqhanHeaderApp.style = sSaqhanHeaderAppCss;

const sSaqhanLentaNewsCardCss = ".lenta-img{background-image:url(\"https://via.placeholder.com/900x900?text=Visit\")}.img-news{height:308px;background-size:cover}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.lenta-news{padding-bottom:20px;-ms-flex:1;flex:1}.lenta-img{width:110px;height:110px;background-size:cover;border-radius:3px;margin-right:35px}.lenta-news img{width:110px;height:110px}.lenta-info{-ms-flex:2;flex:2}.lenta-title{font-size:15px}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}.lenta-title{min-height:58px;margin-top:10px;line-height:1.2}.img-news{height:308px;background-size:cover}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}";

const SSaqhanLentaNewsCard = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category lenta-category small";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
    }
    render() {
        return (h("div", { class: "lenta-news d-flex justify-content-between" }, h("div", { class: "lenta-img pr-4" }, " "), h("div", { class: "lenta-info" }, h("div", { class: this.ColorCategory(this.lentaNews.category) }, this.lentaNews.category), h("div", { class: "lenta-title font-weight-bold pt-1" }, this.lentaNews.title), h("div", { class: "btn-read" }, h("a", { href: "/second-page/" }, this.lentaNews.btnText)))));
    }
};
SSaqhanLentaNewsCard.style = sSaqhanLentaNewsCardCss;

const sSaqhanMainNewsCardCss = ":host{display:block}.img-news{background-image:url(\"https://via.placeholder.com/635x308?text=Visit\")}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}.img-news{height:308px;background-size:cover}.img-news img{width:100%;height:315px}.btn-custom{padding:10px 20px;font-size:12px;border-radius:10px}.category-news{font-weight:600}.btn-read a{color:#000000;font-weight:700;-webkit-transition:0.3s all;transition:0.3s all;border-bottom:1px solid #000}.btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff;cursor:context-menu}@media (max-width: 768px){.main-news{margin-bottom:20px}}@media (max-width: 992px){.img-news img{height:auto}}";

const SSaqhanMainNewsCard = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = 'category category-news pt-3 small';
            switch (nameCategory) {
                case 'Report':
                    return `report ${classCategory}`;
                case `Webinar ${classCategory}`:
                    return `webinar ${classCategory}`;
                case 'Blog Post':
                    return `blog-post ${classCategory}`;
            }
        };
    }
    render() {
        return (h("div", { class: "main-news" }, h("div", null, h("div", { class: "img-news m-auto" }), h("div", { class: this.ColorCategory(this.mainNews.category) }, this.mainNews.category), h("div", { class: "title-news pt-3 h2 font-weight-bold" }, this.mainNews.title), h("div", { class: "sub-title-news pt-3 pb-3 text-muted" }, this.mainNews.subTitle), h("a", { href: "/second-page/", class: "btn btn-primary btn-custom" }, this.mainNews.btnText))));
    }
};
SSaqhanMainNewsCard.style = sSaqhanMainNewsCardCss;

const sSaqhanNewBlogCss = "";

const SSaqhanNewBlog = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    getNewPosts(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", { class: "container" }, h("div", { class: "row" }, h("div", { class: "col-12" }, h("h1", { class: "font-weight-bold" }, "New Blog Post"))), h("div", { class: "row" }, h(NewPostCard, { post: this.getNewPosts(this.blogPost) }))));
    }
};
const NewPostCard = (props) => {
    return (props.post.map((item) => {
        return h("div", { class: "col-12 col-md-6 col-lg-4 " }, h("s-saqhan-blog-card", { post: item }));
    }));
};
SSaqhanNewBlog.style = sSaqhanNewBlogCss;

const sSaqhanPopularCardCss = ".lenta-category{font-weight:600}.news-block{display:-ms-flexbox;display:flex}.news-block{min-height:160px;display:-ms-flexbox;display:flex;-ms-flex-align:center;align-items:center}.news-img{width:248px;height:128px;background-size:cover;border-radius:3px;margin-right:30px;background-image:url(\"https://via.placeholder.com/500\")}.lenta-title{min-height:58px;margin-top:10px;line-height:1.2;font-weight:500;min-height:75px}.lenta-img{width:128px;height:128px;background-size:cover;margin-right:30px;border-radius:3px}.lenta-category{font-size:12px;color:#007bff}@media (min-width: 768px){.lenta-title{width:75%}}@media (max-width: 768px){.lenta-title{width:100%}}@media (max-width: 414px){.blog-img{margin:auto}.block-title{text-align:center}}";

const SSaqhanPopularCard = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "lenta-category category";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
    }
    render() {
        return (h("div", { class: "news-block" }, h("div", { class: "news-img" }), h("div", { class: "news-info" }, h("div", { class: this.ColorCategory(this.post.category) }, this.post.category), h("div", { class: "lenta-title" }, this.post.title), h("div", { class: "btn-read" }, h("a", { href: "#" }, " ", this.post.btnText, " ")))));
    }
};
SSaqhanPopularCard.style = sSaqhanPopularCardCss;

const sSaqhanPopularNewsCss = ".banner{background-image:url(\"https://via.placeholder.com/900x900?text=Visit\");background-size:cover}.banner .btn-read a{color:#fff;border-bottom:1px solid #ffffff;-webkit-transition:0.3s all;transition:0.3s all}.banner .btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff}@media (max-width: 414px){.banner{margin-top:50px}.blog-img{margin:auto}.block-title{text-align:center}}";

const SSaqhanPopularNews = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    getPopularNews(arr) {
        return arr.map(item => item);
    }
    render() {
        return (h("div", { class: "container" }, h("div", { class: "row pt-5 pb-5" }, h("div", { class: "col-12" }, h("h1", { class: "font-weight-bold pb-4 block-title" }, "Popular Resours")), h("div", { class: "col-12 col-lg-7" }, h("div", { class: "cards-popular" }, h(CardPopular, { post: this.getPopularNews(this.popularNews) }))), h("div", { class: "col-12 col-lg-5 p-5 p-lg-0 banner d-flex align-items-center flex-column justify-content-center" }, h("div", { class: "banner-title text-center text-white" }, "Storyteller Circle ", h("br", null), "Event Series"), h("div", { class: "btn-read pt-3" }, h("a", { href: "#" }, "Watch Webinar"))))));
    }
};
const CardPopular = (props) => {
    return (props.post.map((item) => {
        return h("s-saqhan-popular-card", { post: item });
    }));
};
SSaqhanPopularNews.style = sSaqhanPopularNewsCss;

const sSaqhanSubscBannerCss = ".subscribe{background-color:#000;margin-bottom:20px}.subscribe .left{padding-left:50px}.sub-title h1{font-size:52px}.btn-read a{-webkit-transition:0.3s all;transition:0.3s all;color:#6c757d;border-bottom:1px solid #6c757d}.btn-read a:hover{text-decoration:none;color:#fff;border-bottom:1px solid #fff;cursor:context-menu}.btn-custom-head{padding:10px 10px;font-size:12px;border-radius:10px !important;margin-left:-20px;height:50px;width:125px;z-index:999}.form-control{background-color:#fff0;height:50px;padding-left:40px;outline:none}.input-group i{position:relative;top:16px;left:33px;font-size:20px}.logos a{font-size:20px;margin:0px 10px;-webkit-transition:0.3s all;transition:0.3s all}.logos a:hover{color:#fff;cursor:pointer}@media (max-width: 768px){.sub-title,.subs-sub-title{text-align:center}}@media (max-width: 414px){.sub-title{font-size:40px}.subscribe .left{padding-left:0px}}";

const SSaqhanSubscBanner = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { class: "container" }, h("div", { class: "row subscribe d-flex justify-content-between align-items-center pt-5 pb-5 text-white" }, h("div", { class: "col-12 col-lg-6 left" }, h("div", { class: "sub-title" }, h("h1", null, "Ready to take a test drive")), h("div", { class: "subs-sub-title text-muted" }, "We'll help you elevate your video content strategy. Prices strating from $49 a month.", h("span", { class: "btn-read" }, h("a", { href: "/second-page/" }, "See\u00A0pricing")))), h("div", { class: "col-12 col-lg-6 p-3 right pr-sm-5 text-right" }, h("div", { class: "col-12" }, h("form", { class: "form" }, h("div", { class: "input-group" }, h("i", { class: "fas fa-at" }), h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }), h("div", { class: "input-group-append" }, h("button", { class: "btn btn-primary btn-custom-head", type: "submit" }, "Try it Free"))))), h("div", { class: "col-12" }, h("div", { class: "logos text-center text-muted pt-4" }, h("a", { href: "/second-page/" }, h("i", { class: "far fa-address-book" })), h("a", { href: "/second-page/" }, h("i", { class: "fas fa-paper-plane" })), h("a", { href: "/second-page/" }, h("i", { class: "fas fa-envelope" })), h("a", { href: "/second-page/" }, h("i", { class: "fas fa-map-marked" }))))))));
    }
};
SSaqhanSubscBanner.style = sSaqhanSubscBannerCss;

export { SSaqhanAppFooter as s_saqhan_app_footer, SSaqhanBlogCard as s_saqhan_blog_card, SSaqhanChatAddQuestion as s_saqhan_chat_add_question, SSaqhanChatApp as s_saqhan_chat_app, SSaqhanChatFiles as s_saqhan_chat_files, SSaqhanChatFilesWrapper as s_saqhan_chat_files_wrapper, SSaqhanChatFormSearch as s_saqhan_chat_form_search, SSaqhanChatFormSearchFiles as s_saqhan_chat_form_search_files, SSaqhanChatMainUser as s_saqhan_chat_main_user, SSaqhanChatMainUserCard as s_saqhan_chat_main_user_card, SSaqhanChatPersonal as s_saqhan_chat_personal, SSaqhanChatUser as s_saqhan_chat_user, SSaqhanChatUserCard as s_saqhan_chat_user_card, SSaqhanChatUsers as s_saqhan_chat_users, SSaqhanChatUsersWrapper as s_saqhan_chat_users_wrapper, SSaqhanChatWrapper as s_saqhan_chat_wrapper, SSaqhanComponent as s_saqhan_component, SSaqhanEventCard as s_saqhan_event_card, SSaqhanEventsBlog as s_saqhan_events_blog, SSaqhanFirstSlider as s_saqhan_first_slider, SSaqhanHeaderApp as s_saqhan_header_app, SSaqhanLentaNewsCard as s_saqhan_lenta_news_card, SSaqhanMainNewsCard as s_saqhan_main_news_card, SSaqhanNewBlog as s_saqhan_new_blog, SSaqhanPopularCard as s_saqhan_popular_card, SSaqhanPopularNews as s_saqhan_popular_news, SSaqhanSubscBanner as s_saqhan_subsc_banner };
