import { Component, Event, h, Prop, } from '@stencil/core';
export class SSaqhanChatMainUserCard {
    render() {
        return (h("div", { class: "user-wrapper-main", onClick: () => this.selectPersonal.emit() },
            h("div", { class: "left" },
                h("div", { class: "img-user", style: { backgroundImage: "url(" + this.main.img + ")" } })),
            h("div", { class: "right-main" },
                h("div", { class: "user-data" },
                    h("div", { class: "user-name" }, this.main.name),
                    h("div", { class: "message-date" },
                        " ",
                        this.main.date,
                        " ")),
                h("div", { class: "mess-wrapper" },
                    h("div", { class: "user-mess" }, this.main.message),
                    h("div", { class: "new-mess-wrap" },
                        h("span", { class: "new-mess" }, "2"))))));
    }
    static get is() { return "s-saqhan-chat-main-user-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-chat-main-user-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-chat-main-user-card.css"]
    }; }
    static get properties() { return {
        "main": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "main",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "selectPersonal",
            "name": "selectPersonal",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
