import { Component, h, Prop } from "@stencil/core";
export class SSaqhanChatMainUser {
    // getUserMain(arr): any[] {
    //   return arr.map((item) => item.main);
    // }
    render() {
        return (h("div", { class: "main-wrapper" },
            h(MainUserMessage, { main: this.mainUser })));
    }
    static get is() { return "s-saqhan-chat-main-user"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-chat-main-user.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-chat-main-user.css"]
    }; }
    static get properties() { return {
        "mainUser": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "main-user",
            "reflect": false
        }
    }; }
}
const MainUserMessage = (props) => {
    return props.main.map((item) => {
        return h("s-saqhan-chat-main-user-card", { main: item });
    });
};
