import { Component, h, Prop } from "@stencil/core";
export class SSaqhanChatUsers {
    render() {
        return h("div", { class: "user-wrapper" },
            h("s-saqhan-chat-main-user", { mainUser: this.mainUser }),
            h("s-saqhan-chat-user", { messages: this.messages }));
    }
    static get is() { return "s-saqhan-chat-users"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-chat-users.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-chat-users.css"]
    }; }
    static get properties() { return {
        "messages": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "messages",
            "reflect": false
        },
        "mainUser": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "main-user",
            "reflect": false
        }
    }; }
}
