import { Component, h, Prop } from "@stencil/core";
export class SSaqhanPopularCard {
    constructor() {
        this.ColorCategory = (nameCategory) => {
            const classCategory = "lenta-category category";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
                default:
                    classCategory;
            }
        };
    }
    render() {
        return (h("div", { class: "news-block" },
            h("div", { class: "news-img" }),
            h("div", { class: "news-info" },
                h("div", { class: this.ColorCategory(this.post.category) }, this.post.category),
                h("div", { class: "lenta-title" }, this.post.title),
                h("div", { class: "btn-read" },
                    h("a", { href: "#" },
                        " ",
                        this.post.btnText,
                        " ")))));
    }
    static get is() { return "s-saqhan-popular-card"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-popular-card.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-popular-card.css"]
    }; }
    static get properties() { return {
        "post": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "post",
            "reflect": false
        }
    }; }
}
