import { Component, h, Prop } from '@stencil/core';
export class SSaqhanCardAuthor {
    render() {
        return (h("div", { class: "row sub-auth" },
            h("div", { class: "col" },
                h("div", { class: "author-sub" },
                    h("div", { class: "img", style: { backgroundImage: 'url(' + this.author.img + ')' } }),
                    h("div", { class: "author-info" },
                        h("div", { class: "name" }, this.author.firstName),
                        h("div", { class: "info" }, this.author.position)))),
            h("div", { class: "col" },
                h("div", { class: "follow" },
                    h("div", null, "Follow me on:"),
                    h("div", { class: "soc-acc" },
                        h("div", { class: "footer-soc" },
                            h("div", { class: "template-demo" },
                                h("button", { type: "button", class: "btn btn-social-icon btn-facebook btn-rounded" },
                                    h("i", { class: "fab fa-facebook-f" })),
                                h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" },
                                    h("i", { class: "fab fa-twitter" })))))))));
    }
    static get is() { return "s-saqhan-card-author"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-card-author.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-card-author.css"]
    }; }
    static get properties() { return {
        "author": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "author",
            "reflect": false
        }
    }; }
}
